Bug 231571 - devel/racer: update to 2.1.5
Summary: devel/racer: update to 2.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/racer-rust/racer/c...
Keywords: patch
Depends on:
Blocks: 233282
  Show dependency treegraph
 
Reported: 2018-09-22 06:52 UTC by Jan Beich
Modified: 2018-11-18 00:15 UTC (History)
1 user (show)

See Also:


Attachments
v1 (24.72 KB, patch)
2018-09-22 06:52 UTC, Jan Beich
jbeich: maintainer-approval? (beyert)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-09-22 06:52:42 UTC
Created attachment 197334 [details]
v1

See URL field for changelog. One of the crates requires Nightly features, so we have to cheat.
Comment 1 Timothy Beyer 2018-09-24 16:38:39 UTC
I approve
Comment 2 commit-hook freebsd_committer 2018-09-24 17:00:14 UTC
A commit references this bug:

Author: jbeich
Date: Mon Sep 24 16:59:42 UTC 2018
New revision: 480611
URL: https://svnweb.freebsd.org/changeset/ports/480611

Log:
  devel/racer: update to 2.1.5

  Changes:	https://github.com/racer-rust/racer/compare/2.0.14...v2.1.5
  PR:		231571
  Approved by:	Timothy Beyer (maintainer)

Changes:
  head/devel/racer/Makefile
  head/devel/racer/distinfo
Comment 3 Jan Beich freebsd_committer 2018-11-18 00:15:34 UTC
Looks like our package is the only one which upgraded to 2.1.* without switching to rustup. ;)

https://repology.org/metapackage/rust:racer/versions